Package com.sas.lsaf.clinical.common

## Enum UpdateAction

- java.lang.Object
- - java.lang.Enum<UpdateAction>
  - - com.sas.lsaf.clinical.common.UpdateAction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<UpdateAction>`

      public enum UpdateAction
      extends java.lang.Enum<UpdateAction>

  The actions to update clinical metadata.
  Since:
    2.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ADD_NEW` | Add only items that are new.
    `REPLACE` | Replace the existing items.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UpdateAction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static UpdateAction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPLACE

          public static final UpdateAction REPLACE

      Replace the existing items.

    - #### ADD_NEW

          public static final UpdateAction ADD_NEW

      Add only items that are new.

  - ### Method Detail

    - #### values

          public static UpdateAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpdateAction c : UpdateAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpdateAction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null